.ll 6.5i
.TH REPL N "03-Mar-95"
.SH NAME
repl - replace patterns in an ASCII file
.SH SYNOPSIS
repl filename
.SH DESCRIPTION
Repl is a pattern substitution program written in Perl.  It can replace text
patterns with other text like \f3sed\f1 or \f3subs\f1 (by Al Longyear
<longyear@netcom.com>).  What makes this program unique is that text can be
replaced by the output of executable programs just as easily as by other text.

Input is from \f2stdin\f1.  Output goes to \f2stdout\f1.

This program was written for Perl v4.036.
.SH OPTIONS
.IP filename
File containing the substitutions to make.  See SUBSTITUTION FILE below for
the format of this file.
.SH SUBSTITUTION FILE
This is an ASCII file consisting of three different types of lines:  comment,
blank, and substitution.

A comment line starts with the pound (#) sign.  Anything after the pound sign
is ignored.

A blank line has nothing on it, but is useful to make the file more readable.
This line is also ignored.

A substitution line has the pattern to be replaced and the text or program to
run (whose output is used) for the replacement.  The pattern to BE replaced
is the first thing on the line.  The replacement is separated from the
original pattern by spaces and/or tabs.  If the replacement is to be a program
to run, it is enclosed in backquotes (`).
.SH EXAMPLE
Given some sample text:

.nf
.in +5
This is a sample piece of text.

The current date is --> CURRENT

Bob is late for work.

.in -5
.fi

and a replacement file as follows:

.nf
.in +5
CURRENT		`date +%D`
Bob		Tom
.in -5
.fi

We should see the following output (assuming the current date is March 8, 1995):

.nf
.in +5
This is a sample piece of text.

The current date is --> 03/08/95

Tom is late for work.

.in -5
.fi
.SH SEE ALSO
sed(1V), subs(1)
.SH BUGS
None known, but notify author.
.SH AUTHOR
.nf
Adam Stein
800 Phillips Road, MS: 129-71B
Webster, New York  14580
Internet:  adam@iset.scan.mc.xerox.com
           stein.wbst129@xerox.com
Web: http://mammoth.lle.rochester.edu/~adam/
.fi
